Linux Archive

Linux Archive (http://www.linux-archive.org/)
-   Fedora Packaging (http://www.linux-archive.org/fedora-packaging/)
-   -   Get paid to package! (Etherpad Lite) (http://www.linux-archive.org/fedora-packaging/612264-get-paid-package-etherpad-lite.html)

Rich Jones 12-21-2011 01:10 AM

Get paid to package! (Etherpad Lite)
 
Hey all!
I didn't post this bounty, but it came across our system and it seems like you guys might be able to earn a quick bit of money on this one:
http://gun.io/contracts/16/rpm-based-install-for-etherpad-lite-on-rhel-128

Any takers?
--
Rich Jones
Director, Gun.io



--
packaging mailing list
packaging@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/packaging

Orion Poplawski 12-22-2011 01:44 AM

Get paid to package! (Etherpad Lite)
 
On 12/20/2011 07:10 PM, Rich Jones wrote:

Hey all!

I didn't post this bounty, but it came across our system and it seems
like you guys might be able to earn a quick bit of money on this one:

http://gun.io/contracts/16/rpm-based-install-for-etherpad-lite-on-rhel-128

Any takers?

--
Rich Jones
Director, Gun.io <http://Gun.io>


Moving this to epel-devel, which may be more appropriate.

I took a look at last night and this is what I discovered:

- Current etherpad 1.1 seems to require scala 2.7 and does not like 2.8,
which is currently packaged for Fedora (not epel). Apparently patches
exist to make etherpad compatible with 2.8 at the expense of 2.7
compatibility, but have not yet been merged in.


- scala as currently packaged requires jline and shtools. shtools is
easy, jline less so. But scala bundles jline and could probably be used
for the purposes of this bounty.



--
Orion Poplawski
Technical Manager 303-415-9701 x222
NWRA/CoRA Division FAX: 303-415-9702
3380 Mitchell Lane orion@cora.nwra.com
Boulder, CO 80301 http://www.cora.nwra.com
--
packaging mailing list
packaging@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/packaging

Orion Poplawski 12-22-2011 01:44 AM

Get paid to package! (Etherpad Lite)
 
On 12/20/2011 07:10 PM, Rich Jones wrote:

Hey all!

I didn't post this bounty, but it came across our system and it seems
like you guys might be able to earn a quick bit of money on this one:

http://gun.io/contracts/16/rpm-based-install-for-etherpad-lite-on-rhel-128

Any takers?

--
Rich Jones
Director, Gun.io <http://Gun.io>


Moving this to epel-devel, which may be more appropriate.

I took a look at last night and this is what I discovered:

- Current etherpad 1.1 seems to require scala 2.7 and does not like 2.8,
which is currently packaged for Fedora (not epel). Apparently patches
exist to make etherpad compatible with 2.8 at the expense of 2.7
compatibility, but have not yet been merged in.


- scala as currently packaged requires jline and shtools. shtools is
easy, jline less so. But scala bundles jline and could probably be used
for the purposes of this bounty.



--
Orion Poplawski
Technical Manager 303-415-9701 x222
NWRA/CoRA Division FAX: 303-415-9702
3380 Mitchell Lane orion@cora.nwra.com
Boulder, CO 80301 http://www.cora.nwra.com

_______________________________________________
epel-devel-list mailing list
epel-devel-list@redhat.com
https://www.redhat.com/mailman/listinfo/epel-devel-list

David Juran 12-22-2011 08:15 AM

Get paid to package! (Etherpad Lite)
 
On ons, 2011-12-21 at 19:44 -0700, Orion Poplawski wrote:

> - scala as currently packaged requires jline and shtools. shtools is
> easy, jline less so. But scala bundles jline and could probably be used
> for the purposes of this bounty.

For the purpose of this bounty: Maybe so.

For inclusion in Fedora/Epel: Probably not, see
http://fedoraproject.org/wiki/Packaging:Guidelines#Bundling_of_multiple_projects and http://fedoraproject.org/wiki/Packaging:Guidelines#Duplication_of_system_librari es

--
David Juran
Sr. Consultant
Red Hat
+46-725-345801
_______________________________________________
epel-devel-list mailing list
epel-devel-list@redhat.com
https://www.redhat.com/mailman/listinfo/epel-devel-list

Nikos Roussos 12-22-2011 09:31 AM

Get paid to package! (Etherpad Lite)
 
On Thu, Dec 22, 2011 at 4:44 AM, Orion Poplawski <orion@cora.nwra.com> wrote:


On 12/20/2011 07:10 PM, Rich Jones wrote:


Hey all!



I didn't post this bounty, but it came across our system and it seems

like you guys might be able to earn a quick bit of money on this one:



http://gun.io/contracts/16/rpm-based-install-for-etherpad-lite-on-rhel-128



Any takers?



--

Rich Jones

Director, Gun.io <http://Gun.io>




Moving this to epel-devel, which may be more appropriate.



I took a look at last night and this is what I discovered:



- Current etherpad 1.1 seems to require scala 2.7 and does not like 2.8, which is currently packaged for Fedora (not epel). *Apparently patches exist to make etherpad compatible with 2.8 at the expense of 2.7 compatibility, but have not yet been merged in.





- scala as currently packaged requires jline and shtools. *shtools is easy, jline less so. *But scala bundles jline and could probably be used for the purposes of this bounty.




I think Rich is talking about Etherpad-lite which doesn't need scala, but node.js.

--


Nikos Roussos
about | linkedin


--
packaging mailing list
packaging@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/packaging

Nikos Roussos 12-22-2011 09:31 AM

Get paid to package! (Etherpad Lite)
 
On Thu, Dec 22, 2011 at 4:44 AM, Orion Poplawski <orion@cora.nwra.com> wrote:


On 12/20/2011 07:10 PM, Rich Jones wrote:


Hey all!



I didn't post this bounty, but it came across our system and it seems

like you guys might be able to earn a quick bit of money on this one:



http://gun.io/contracts/16/rpm-based-install-for-etherpad-lite-on-rhel-128



Any takers?



--

Rich Jones

Director, Gun.io <http://Gun.io>




Moving this to epel-devel, which may be more appropriate.



I took a look at last night and this is what I discovered:



- Current etherpad 1.1 seems to require scala 2.7 and does not like 2.8, which is currently packaged for Fedora (not epel). *Apparently patches exist to make etherpad compatible with 2.8 at the expense of 2.7 compatibility, but have not yet been merged in.





- scala as currently packaged requires jline and shtools. *shtools is easy, jline less so. *But scala bundles jline and could probably be used for the purposes of this bounty.




I think Rich is talking about Etherpad-lite which doesn't need scala, but node.js.

--


Nikos Roussos
about | linkedin


_______________________________________________
epel-devel-list mailing list
epel-devel-list@redhat.com
https://www.redhat.com/mailman/listinfo/epel-devel-list

Michael Schwendt 12-22-2011 11:28 AM

Get paid to package! (Etherpad Lite)
 
On Thu, 22 Dec 2011 11:20:57 +0000, JBG (Jˇhann) wrote:

> For example could etherpad-lite be shipped with the distribution when it
> depends on 3 party repo

No.
--
packaging mailing list
packaging@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/packaging


All times are GMT. The time now is 04:14 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.